# pht\Queue::pop

(PECL pht >= 0.0.1)

pht\Queue::pop — Pops a value off of the front of a queue

### Description

public pht\Queue::pop ( void ) : mixed

This method will remove a value from the front of the queue (in constant time). Attempting to pop a value from an empty queue will result in an Error exception.

### Parameters

This function has no parameters.

### Return Values

The value removed from the queue.

### Examples

Example #1 Popping a value from a queue

`<?php
use pht\Queue;
$queue = new Queue();
$queue->push(1);
var_dump($queue->pop());`

The above example will output:

    int(1)